Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TextTagSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::TextTag. More...

`#include <xfc/gtk/texttagsignals.hh>`

Inheritance diagram for Xfc::Gtk::TextTagSignals:

List of all members.

## Public Member Functions

Signal Handlers

- bool on_event (G::Object &event_object, Gdk::Event &event, const TextIter &iter)
    Called when the text tag receives a motion, button, or key event signal.

## Protected Member Functions

Constructors

- TextTagSignals (TextTag *tag)
    Constructs a new TextTagSignals object.
- virtual ~TextTagSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::TextTag.

## Constructor & Destructor Documentation

Xfc::Gtk::TextTagSignals::TextTagSignals | ( | TextTag * | tag | ) | `[protected]`

Constructs a new TextTagSignals object.

Parameters:

  | tag | A TextTag object inheriting the TextTagSignals implementation.

## Member Function Documentation

bool Xfc::Gtk::TextTagSignals::on_event | ( | G::Object & | event_object,
|  | Gdk::Event & | event,
|  | const TextIter & | iter
| ) |

Called when the text tag receives a motion, button, or key event signal.

Parameters:

  | event_object | The object that received the event, such as a widget.
  | event | The event.
  | iter | The location where the event was received.

Returns:
  true if the event was handled, false if it wasn't handled.

The documentation for this class was generated from the following file:

- texttagsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3